Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# utf-string.h File Reference

UTF-8 string class interface. More...

`#include <inti/glib/unicode.h>`
`#include <string>`
`#include <iosfwd>`

Go to the source code of this file.

## Namespaces

- namespace Inti
- namespace Inti::G

## Detailed Description

UTF-8 string class interface.

Provides a UTF-8 standard string compatible string class with its own forward and reverse string iterators that know how to count UTF-8 characters.
Main Page - Footer